Opened 4 years ago

Closed 4 years ago

#52627 closed defect (fixed)

Downloads of large files from MaxCDN time out

Reported by: ryandesign (Ryan Schmidt) Owned by: admin@…
Priority: Normal Milestone:
Component: server/hosting Version:
Keywords: Cc:
Port:

Description

Downloads of large files from MaxCDN (distfiles.macports and packages.macports) have been failing, for example:

$ wget -S http://distfiles.macports.netdna-cdn.com/root/root-6-06-08.tar.gz
--2016-10-16 23:30:39--  http://distfiles.macports.netdna-cdn.com/root/root-6-06-08.tar.gz
Resolving distfiles.macports.netdna-cdn.com (distfiles.macports.netdna-cdn.com)... 198.232.124.36
Connecting to distfiles.macports.netdna-cdn.com (distfiles.macports.netdna-cdn.com)|198.232.124.36|:80... connected.
HTTP request sent, awaiting response... 
  HTTP/1.1 200 OK
  Date: Mon, 17 Oct 2016 04:30:40 GMT
  Content-Type: application/x-gzip
  Content-Length: 107631859
  Connection: keep-alive
  Last-Modified: Mon, 05 Sep 2016 00:23:33 GMT
  ETag: "66a54f3-53bb7b0b10b40"
  Accept-Ranges: bytes
  Cache-Control: max-age=2592000, public
  Server: NetDNA-cache/2.2
  X-Cache: MISS
Length: 107631859 (103M) [application/x-gzip]
Saving to: ‘root-6-06-08.tar.gz’

root-6-06-08.tar.gz                                  34%[======================================>                                                                           ]  35.33M   239KB/s    in 2m 31s  

2016-10-16 23:33:12 (240 KB/s) - Connection closed at byte 37043732. Retrying.

--2016-10-16 23:33:13--  (try: 2)  http://distfiles.macports.netdna-cdn.com/root/root-6-06-08.tar.gz
Connecting to distfiles.macports.netdna-cdn.com (distfiles.macports.netdna-cdn.com)|198.232.124.36|:80... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2016-10-16 23:35:14--  (try: 3)  http://distfiles.macports.netdna-cdn.com/root/root-6-06-08.tar.gz
Connecting to distfiles.macports.netdna-cdn.com (distfiles.macports.netdna-cdn.com)|198.232.124.36|:80... connected.
HTTP request sent, awaiting response... 
  HTTP/1.1 200 OK
  Date: Mon, 17 Oct 2016 04:35:14 GMT
  Content-Type: application/x-gzip
  Content-Length: 107631859
  Connection: keep-alive
  Last-Modified: Mon, 05 Sep 2016 00:23:33 GMT
  ETag: "66a54f3-53bb7b0b10b40"
  Cache-Control: max-age=2592000, public
  Server: NetDNA-cache/2.2
  X-Cache: MISS
  Accept-Ranges: bytes
Length: 107631859 (103M) [application/x-gzip]
Saving to: ‘root-6-06-08.tar.gz’

root-6-06-08.tar.gz                                  26%[=============================>                                                                                    ]  27.28M   241KB/s    in 1m 57s  

2016-10-16 23:37:12 (240 KB/s) - Connection closed at byte 28605972. Retrying.

--2016-10-16 23:37:15--  (try: 4)  http://distfiles.macports.netdna-cdn.com/root/root-6-06-08.tar.gz
Connecting to distfiles.macports.netdna-cdn.com (distfiles.macports.netdna-cdn.com)|198.232.124.36|:80... connected.
HTTP request sent, awaiting response... No data received.
Retrying.

--2016-10-16 23:39:16--  (try: 5)  http://distfiles.macports.netdna-cdn.com/root/root-6-06-08.tar.gz
Connecting to distfiles.macports.netdna-cdn.com (distfiles.macports.netdna-cdn.com)|198.232.124.36|:80... connected.
HTTP request sent, awaiting response... 
  HTTP/1.1 200 OK
  Date: Mon, 17 Oct 2016 04:39:16 GMT
  Content-Type: application/x-gzip
  Content-Length: 107631859
  Connection: keep-alive
  Last-Modified: Mon, 05 Sep 2016 00:23:33 GMT
  ETag: "66a54f3-53bb7b0b10b40"
  Cache-Control: max-age=2592000, public
  Server: NetDNA-cache/2.2
  X-Cache: MISS
  Accept-Ranges: bytes
Length: 107631859 (103M) [application/x-gzip]
Saving to: ‘root-6-06-08.tar.gz’

root-6-06-08.tar.gz                                  25%[============================>                                                                                     ]  26.65M   241KB/s    in 1m 55s  

2016-10-16 23:41:12 (238 KB/s) - Connection closed at byte 27946516. Retrying.

--2016-10-16 23:41:17--  (try: 6)  http://distfiles.macports.netdna-cdn.com/root/root-6-06-08.tar.gz
Connecting to distfiles.macports.netdna-cdn.com (distfiles.macports.netdna-cdn.com)|198.232.124.36|:80... connected.
HTTP request sent, awaiting response... ^C
$ 

Change History (1)

comment:1 Changed 4 years ago by ryandesign (Ryan Schmidt)

Resolution: fixed
Status: newclosed

I originally reported this problem to MaxCDN on August 1 but then neglected to follow up after they responded asking for more information.

I followed up today, with the result that they moved our distfiles and packages zones to a different server cluster, and the problem appears to be gone.

Note: See TracTickets for help on using tickets.